/**
 * NamePseudonymUse2.java
 *
 * File generated from the medication2::NamePseudonymUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration NamePseudonymUse2.
 *
 * 
 */

@XmlType(name = "NamePseudonymUse")
@XmlEnum
@XmlRootElement(name = "NamePseudonymUse2")
public enum NamePseudonymUse2 {
	@XmlEnumValue("P")
	P("P"),
	@XmlEnumValue("A")
	A("A");
	
	private final String value;

    NamePseudonymUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static NamePseudonymUse2 fromValue(String v) {
        for (NamePseudonymUse2 c: NamePseudonymUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
